# This program is distributed under the terms of the
# GNU General Public License, version 2.
#
# Nekorum is forum additional plugin for MTOS/MT4.1 later.
# Original Copyright (c) 2008 nekotama (http://nekotama.org/)
#
# $Id: Signin.pm 109 2008-05-24 10:16:34Z nekotama $

package Nekorum::CMS::Signin;

use strict;

use MT;
use Nekorum::Util;

sub _view_signin {
	my $app = shift;

	my $blog_id = $app->param('blog_id');
	my %param = $app->param_hash;

	my $author = Nekorum::Util->_get_author($app);
	if($author){
		my $commenter = $author;
        MT::Auth->new_login($app, $commenter);
        $app->make_commenter_session($app->make_magic_token,
            $commenter->email, $commenter->name,
            ($commenter->nickname || $app->translate('(Display Name not set)')),
            $commenter->id, undef, 0, $blog_id );
		return $app->redirect($app->param('static'));
	}

	# load blog
	require MT::Blog;
	my $blog = MT::Blog->load($blog_id);

	# load template
	require MT::Template;
	my $tmpl = MT::Template->load({ blog_id => $blog_id, type => 'custom', name => 'Nekorum Signin'}) or return $app->errtrans("Load template error.");

	require MT::Template::Context;
	my $ctx = MT::Template::Context->new;
	my %cond;
	$ctx->stash('blog', $blog);

	my ($name, $value);
	while (($name, $value) = each(%param)){
		$ctx->var($name,$value);
	}

	my $output = $tmpl->build($ctx, \%cond) or return $tmpl->errstr;
	return $output;
}

1;