# This program is distributed under the terms of the
# GNU General Public License, version 2.
#
# Nekorum is forum additional plugin for MTOS/MT4.1 later.
# Original Copyright (c) 2008 nekotama (http://nekotama.org/)
#
# $Id: Block.pm 109 2008-05-24 10:16:34Z nekotama $

package Nekorum::Tags::Block;
use strict;

use MT;

sub NekorumAuthorEntryBlock {
	my ($ctx, $args, $cond) = @_;
	
	my $app = MT->instance;
	my $blog = $ctx->stash('blog');
	my $blog_id = $ctx->stash('blog_id');
	my $entry = $ctx->stash('entry');
	my $entry_id = $entry->id;
	my $author_id = $entry->author_id;
	my $builder = $ctx->stash('builder');
	my $tokens = $ctx->stash('tokens');
	my $type = $args->{type} ? $args->{type} : $blog->file_extension;
	my $output = $builder->build($ctx,$tokens,$cond);
	my $script_url = $app->base . $app->path . 'plugins/Nekorum/nekorum-post.cgi';
	my $before;
	my $after;
	
	$before = <<HTML_BEFORE;
<span id="nekorum_author_entry_$entry_id">
HTML_BEFORE

	$after = <<HTML_AFTER;
</span>
<script type="text/javascript">
/* <![CDATA[ */
hide_author(document.getElementById("nekorum_author_entry_$entry_id"), $author_id);
/* ]]> */
</script>
HTML_AFTER

	return $before . $output . $after;
}

sub NekorumAuthorCommentBlock {
	my ($ctx, $args, $cond) = @_;
	
	my $app = MT->instance;
	my $blog = $ctx->stash('blog');
	my $blog_id = $ctx->stash('blog_id');
	my $comment = $ctx->stash('comment');
	my $comment_id = $comment->id;
	my $commenter_id = $comment->commenter_id;
	my $builder = $ctx->stash('builder');
	my $tokens = $ctx->stash('tokens');
	my $type = $args->{type} ? $args->{type} : $blog->file_extension;
	my $output = $builder->build($ctx,$tokens,$cond);
	my $script_url = $app->base . $app->path . 'plugins/Nekorum/nekorum-post.cgi';
	my $before;
	my $after;

	$before = <<HTML_BEFORE;
<span id="nekorum_author_comment_$comment_id">
HTML_BEFORE

	$after = <<HTML_AFTER;
</span>
<script type="text/javascript">
/* <![CDATA[ */
hide_commenter(document.getElementById("nekorum_author_comment_$comment_id"), $commenter_id);
/* ]]> */
</script>
HTML_AFTER

	return $before . $output . $after;
}

sub NekorumMarkEntryBlock {
	my ($ctx, $args, $cond) = @_;
	
	my $app = MT->instance;
	my $blog = $ctx->stash('blog');
	my $blog_id = $ctx->stash('blog_id');
	my $entry = $ctx->stash('entry');
	my $entry_id = $entry->id;
	my $builder = $ctx->stash('builder');
	my $tokens = $ctx->stash('tokens');
	my $type = $args->{type} ? $args->{type} : $blog->file_extension;
	my $output = $builder->build($ctx,$tokens,$cond);
	$output =~ s/'/"/g;
	$output =~ s/[\r\n]//g;

	my $java = <<JAVA;
<script type="text/javascript">
/* <![CDATA[ */
  if(!nekorum_mark_$entry_id) document.write("$output");
/* ]]> */
</script>
JAVA

	return $java;
}

sub NekorumMarkCategoryBlock {
	my ($ctx, $args, $cond) = @_;
	
	my $app = MT->instance;
	my $blog = $ctx->stash('blog');
	my $blog_id = $ctx->stash('blog_id');
	my $category = $ctx->stash('category');
	my $category_id = $category->id;
	my $builder = $ctx->stash('builder');
	my $tokens = $ctx->stash('tokens');
	my $type = $args->{type} ? $args->{type} : $blog->file_extension;
	my $output = $builder->build($ctx,$tokens,$cond);
	$output =~ s/'/"/g;
	$output =~ s/[\r\n]//g;

	my $java = <<JAVA;
<script type="text/javascript">
/* <![CDATA[ */
  if(!nekorum_mark_cat_$category_id) document.write("$output");
/* ]]> */
</script>
JAVA

	return $java;
}

1;
